下载客户端
下载客户端
订阅我们

爱范消息
Newsletter

报道未来, 服务新生活引领者
寻求报道 加入我们
公司 2013-12-18 14:00

苹果:明年 2 月 1 日后上传的应用必须适配 iOS 7

苹果开发者页面上的最新消息显示,开发者在明年 2 月 1 日后提交的应用必须对 iOS 7 进行适配。这些应用包括刚上架的新应用以及现有应用的升级版。对 iOS 7 的适配工作要求开发者必须使用最新的 Xcode 5 来开发应用。苹果在今年 9 月将 Xcode 开发工具升级到第五代,增加了对 64 位应用的支持。

过去几年,苹果一直在努力地推动开发者为最新版 iOS 系统开发应用,这次与以往更快。iOS 7 的超高占有率可能是主导这项规定的原因之一。根据苹果公布的数据,iOS 7 已经占据 76% 的 iOS 系统,而 iOS 6 的比例只有 20%,其它版本 iOS 系统的比例更低——4%。

 chart

看来苹果对 iOS 7 应用的优化比开发者更急切,这款诞生以来变革最大的 iOS 系统打破了过去建立的风格,塑造了新的美学风格和物理系统。但眼下尚未为 iOS 7 优化的应用还有一大把,在新系统上使用老版风格的应用,这种体验非常割裂。

但 TechCrunch 作者马修·潘扎里诺(Matthew Panzarino)质疑说,新规定强调的似乎更多是应用结构的适配,而不是整体外观和界面的优化。不过问题是,只优化应用框架而忽略界面的开发者应该只是少数,没有人愿意做这种吃力不讨好的事。

题图来自 Techniquid

有好的产品或者项目希望我们报道,猛戳这里 寻求报道

文章评论(-)
后参与讨论
正在加载中

WP8 与 Windows RT 授权费曝光:25 美元和 90 美元

2013-12-18 15:40下一篇

亚马逊开放 Kinesis 数据流服务,云计算服务商迎来大敌

2013-12-18 11:52上一篇